import logo from './logo.svg';
import './App.css';
import Modal from './components/Modal';
import { useContext, useState } from "react";

const App = () => {
  const [show, setShow] = useState(false);
  return (
    <div className="w-full flex md:justify-center justify-between items-center flex-col p-4 gradient-bg-footer">
      <div className="w-full flex sm:flex-row flex-col justify-between items-center my-4 ">
        <div className="flex flex-1 justify-evenly items-center flex-wrap sm:mt-0 mt-5 w-full">
          <Modal show={show} chargeAmount={10} handleClose={() =>setShow(false)}>
            <p>Modal</p>
          </Modal>
          <button className="text-white text-base text-center mx-2 cursor-pointer" onClick={() => {setShow(true); console.log("PUTO")}}>
            Checkout With Crypto
          </button>
        </div>
      </div>
    </div>
  );
};

export default App;
